<?php
session_start();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Untitled Document</title>
</head>

<body>
<h4>ΛΥΚΕΙΟ ΑΓΙΑΣ ΦΥΛΑΞΕΩΣ 2013-2014 - ΚΑΤΑΧΩΡΗΣΗ ΑΠΟΥΣΙΩΝ</h4>
<?php
$dt=$_SESSION['dt'];
$con=$_SESSION['con'];
$name = $_SESSION['n'];
$name = stripslashes($name);

echo "<br>"."ΗΜΕΡΟΜΗΝΙΑ:".$dt."...."." ΕΚΠΑΙΔΕΥΤΙΚΟΣ:".$name;
echo "<br>"; 
echo "<br>"." ΕΠΙΛΟΓΗ ΠΕΡΙΟΔΟΥ ΔΙΔΑΣΚΑΛΙΑΣ";
?>
<form method="POST"   name="ora" action = "mathima.php"><input type='hidden' name='__token_timestamp__' value='1402845198'><input type='hidden' name='__token_val__' value='ef70b0b0f13f6531b3c188577c291539'>
<select name="ora">
<option value=1>1</option>
<option value=2>2</option>
<option value=3>3</option>
<option value=4>4</option>
<option value=5>5</option>
<option value=6>6</option>
<option value=7>7</option>
</select>
<input type="Submit" name "select" value="Select">
</form>

<?php
$con = mysqli_connect('tassos1.ipagemysql.com', 'tassos1', '590385','apousies');
mysqli_set_charset($con, "utf8");  

if ($_POST['ora'])
{	
   $per = $_POST["ora"];
   $day=date('D').$per;
   echo $day;
   $name = $_SESSION['n'];
   $name = stripslashes($name);
   $sql2 = mysqli_query($con,"SELECT * FROM newtime WHERE Teacher='$name'  " ); 
   $row2 = mysqli_fetch_array($sql2);

   $lesson= $row2["$day"];
   $lesson=trim($lesson);
   
if (strlen($lesson)< 5 ) 
{

$result = mysqli_query($con,"SELECT mitroo,eponimo,onoma FROM allstudentinfo WHERE tmima='$lesson' ");

//..............................................
$res1=mysqli_query($con, "SELECT code,onoma FROM ekdilosi WHERE date = '$dt' ");
$c1=mysqli_num_rows($res1);

echo "<br >"."ΣΥΝΟΛΟ ΔΡΑΣΤΗΡΙΟΤΗΤΩΝ ΣΤΙΣ:".$dt. " .ΕΙΝΑΙ. ". $c1."<br >";

 if ($c1 > 0)  {  
 $i=0;
 while($row = mysqli_fetch_array($res1))
     {
	 $codekd[$i]=$row['code'];
	 $onomaekd[$i]=$row['onoma'];
	 $i++;
    }
 }
}}
//.......................................................

?>
<form method="POST" action="eggrafi.php" ><input type='hidden' name='__token_timestamp__' value='1402845198'><input type='hidden' name='__token_val__' value='ef70b0b0f13f6531b3c188577c291539'>
<p> Να βάλετε την απουσία τικάροντας το αντίστοιχο κουτί και να σημειώσετε την καθυστέρηση στην κατάλληλη στήλη. Πατήστε Submit για να καταγραφούν οι απουσίες </p>
<?php
echo " Διδάσκων :<input type='text' name='name' value='$name' />" ;
echo " Περίοδος :<input type='number' name='per' value='$per' /> ";
echo " Τμήμα/Συνδ.:<input type='text' name='lesson' value='$lesson' /> <br /><br />  ";
echo "<table border='3'>
<tr>
<th>α/α</th>
<th>Μητρώο</th>
<th>Επώνυμο</th>
<th>Όνομα</th>
<th>Απουσία</th>
<th>Καθυστ.</th>
<th>Δραστηριότητα</th>

</tr>";
$i=1;
 while($row = mysqli_fetch_array($result))
     {
	 $mt=$row['mitroo'];
	 $epo=$row['eponimo'];
	 $nm=$row['onoma'];
     echo "<tr>";
	 echo "<td>" .$i;
	 echo "<td>". "<input type='text' name='mt[]' value='$mt' size'10' >" . "</td>";
	 echo "<td>". "<input type='text' name='epo[]' value='$epo' >" . "</td>";
     echo "<td>". "<input type='text' name='nm[]' value='$nm' >" . "</td>";
     echo "<td>". "<input type='checkbox' name='att[]' value='$mt'>" ."</td>";
	 echo "<td>". "<input type='number' name='kath[]' size='5' >" ."</td>";
 	 //................
	 if ($c1 > 0 ) 
	 {
	 $i1=0;
	 
	 foreach ($codekd as $cdo) 
	 {
	 	 $q2 =mysqli_query($con, "SELECT p1,p2,p3,p4,p5,p6,p7 FROM ekdilosistu WHERE pmp = '$mt' AND code='$cdo' ");
	 $c2=mysqli_num_rows($q2);
	 if ($c2 > 0)
	   {
	 $row2 = mysqli_fetch_array($q2);
	  $p1=$row2['p1'];$p2=$row2['p2'];$p3=$row2['p3'];$p4=$row2['p4'];$p5=$row2['p5'];$p6=$row2['p6'];$p7=$row2['p7'];		
		$np="p".$per;
	    if ($$np == 1) 
		  { echo "<td>". $onomaekd[$i1] ."</td>";
		  }
		
	   }
	 $i1++;
	 }
	 }
	 //............
	 echo "</tr>";
	 $i++;
	 }
echo "</table>";

?>

<input type="Submit" name="Submit" value="Submit">
</form>


</body>
</html>